For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
            • GETList Transactions
              • POSTCapture Order Payment
              • POSTVoid
              • POSTCreate Refund Quote
              • GETList Refunds for Order
              • POSTCreate Refund
              • GETGet Refund
              • GETList Refunds
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementOrder OperationsPayment Actions

List Refunds for Order

GET
https://api.bigcommerce.com/stores/:store_hash/v3/orders/:order_id/payment_actions/refunds
GET
/stores/:store_hash/v3/orders/:order_id/payment_actions/refunds
$curl https://api.bigcommerce.com/stores/store_hash/v3/orders/1/payment_actions/refunds \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
200Retrieved
1{
2 "data": [
3 {
4 "id": 101,
5 "order_id": 1,
6 "user_id": 5023,
7 "created": "2024-04-10T14:22:00Z",
8 "reason": "Customer returned damaged item",
9 "total_amount": 45.5,
10 "total_tax": 3.75,
11 "uses_merchant_override_values": false,
12 "items": [
13 {
14 "item_type": "PRODUCT",
15 "item_id": 789,
16 "reason": "Item defective",
17 "quantity": 2,
18 "adjustments": [
19 {
20 "amount": -5,
21 "description": "Restocking fee"
22 }
23 ],
24 "requested_amount": 45.5
25 }
26 ],
27 "payments": [
28 {
29 "id": 301,
30 "provider_id": "stripe",
31 "amount": 45.5,
32 "offline": false,
33 "is_declined": false,
34 "declined_message": "",
35 "transaction_id": "txn_1GqIC8L2eZvKYlo2C0a1bX9Z"
36 }
37 ]
38 }
39 ],
40 "meta": {}
41}
Returns a list of refunds ordered by refund ID in ascending order for the given order. Requires at least one of the following scopes: * `store_v2_transactions_read_only` * `store_v2_transactions` * `store_v2_orders_read_only` * `store_v2_orders`
Was this page helpful?
Previous

Create Refund Quote

Next

Create Refund

Built with

Returns a list of refunds ordered by refund ID in ascending order for the given order.

Requires at least one of the following scopes:

  • store_v2_transactions_read_only
  • store_v2_transactions
  • store_v2_orders_read_only
  • store_v2_orders

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Order Transactionsread and modify transactions and payment_methodsstore_v2_transactions
Order Transactionsread transactions and payment_methodsstore_v2_transactions_read_only
Ordersread and modify payment_methodsstore_v2_orders
Ordersread payment_methodsstore_v2_orders_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

order_idintegerRequired

The ID of the Order to which the transactions belong.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

transaction_idstringOptional

Filters by refund payment using the BigCommerce transaction_id.

Response

datalist of objects
Collection of Refunds
metaobject
Response metadata.

The MIME type of the response body.